Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class BusinessRejectReasonFactory

    java.lang.Object
      com.fxcm.fix.BusinessRejectReasonFactory

    public class BusinessRejectReasonFactory

extends Object

Codes to identify reason for a Business Message Reject message.

Field Summary
`static IBusinessRejectReason` | `APPLICATION_NOT_AVAILABLE` Reject Reason.
`static IBusinessRejectReason` | `CONDITIONALLY_REQUIRED_FIELD_MISSING` Reject Reason.
`static IBusinessRejectReason` | `NOT_AUTHORIZED` Reject Reason.
`static IBusinessRejectReason` | `OTHER` Reject Reason.
`static IBusinessRejectReason` | `UNKNOWN_ID` Reject Reason.
`static IBusinessRejectReason` | `UNKNOWN_SECURITY` Reject Reason.
`static IBusinessRejectReason` | `UNSUPPORTED_MESSAGE_TYPE` Reject Reason.

Constructor Summary
`BusinessRejectReasonFactory()`

Method Summary
`static IBusinessRejectReason` | `toCode(int aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OTHER

    public static final IBusinessRejectReason OTHER

  Reject Reason. Other

### UNKNOWN_ID

    public static final IBusinessRejectReason UNKNOWN_ID

  Reject Reason. Unknown ID

### UNKNOWN_SECURITY

    public static final IBusinessRejectReason UNKNOWN_SECURITY

  Reject Reason. Unknown security

### UNSUPPORTED_MESSAGE_TYPE

    public static final IBusinessRejectReason UNSUPPORTED_MESSAGE_TYPE

  Reject Reason. Unsupported message type

### APPLICATION_NOT_AVAILABLE

    public static final IBusinessRejectReason APPLICATION_NOT_AVAILABLE

  Reject Reason. Application is not available

### CONDITIONALLY_REQUIRED_FIELD_MISSING

    public static final IBusinessRejectReason CONDITIONALLY_REQUIRED_FIELD_MISSING

  Reject Reason. Conditionally requireed field is missing

### NOT_AUTHORIZED

    public static final IBusinessRejectReason NOT_AUTHORIZED

  Reject Reason. Not authorized

Constructor Detail

### BusinessRejectReasonFactory

    public BusinessRejectReasonFactory()

Method Detail

### toCode

    public static IBusinessRejectReason toCode(int aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``BUSINESSREJECTREASON_*``
  Returns:
    business reject reason fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.